<?xml version="1.0" encoding="utf-8"?>
<layout>
    <data>
        <variable
                name="mainViewModel"
                type="ir.khosravi.kotlinews.viewModel.MainViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
            xmlns:tools="http://schemas.android.com/tools"
            style="@style/Toolbar">

        <androidx.appcompat.widget.AppCompatImageView
                android:id="@id/btn_filter"
                style="@style/Toolbar.FilterButton"
                android:onClick="@{(v)-> mainViewModel.onClick(v)}" />

        <androidx.appcompat.widget.AppCompatTextView
                android:id="@id/tv_title"
                style="@style/Toolbar.Title"
                android:text="@{mainViewModel.defaultCategory}"
                tools:text="@string/app_name" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>